package com.emr.service.tScanAssort;

import com.emr.dao.tScanAssort.T_Scan_AssortMapper;
import com.emr.entity.tScanAssort.T_Scan_Assort;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2019/6/6 15:19
 * @UpdateUser: 曾文和
 * @UpdateDate: 2019/6/6 15:19
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Service
@Transactional
public class T_Scan_AssortServiceImpl implements T_Scan_AssortService{
    @Autowired
    private T_Scan_AssortMapper scanAssortMapper;
    @Override
    public void updateByPrimaryKeySelective(T_Scan_Assort newAssort, T_Scan_Assort oldAssort) {
        scanAssortMapper.updateByPrimaryKeySelective(newAssort,oldAssort);
    }

    @Override
    public int SimpleUpdate(String patientId, String assortId, List<String> list) {
        return scanAssortMapper.SimpleUpdate(patientId, assortId, list);
    }

    @Override
    public int SimpleUpdateByPatientIdAndScanPages(String patientId, String newAssortId, String scanPages) {
        return scanAssortMapper.SimpleUpdateByPatientIdAndScanPages(patientId, newAssortId, scanPages);
    }

    @Override
    public int SimpleDelByPatientIdAndScanPages(String patientId, String scanPages) {
        return scanAssortMapper.SimpleDelByPatientIdAndScanPages(patientId,scanPages);
    }

    @Override
    public int SimpleInsert(List<T_Scan_Assort> list) {
        return scanAssortMapper.SimpleInsert(list);
    }
}
